> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List message templates

> List the email and SMS message templates of a form, oldest first.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/message-templates.yaml GET /forms/{form_id}/message_templates
openapi: 3.0.3
info:
  title: NeetoForm Message Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/message_templates:
    get:
      tags:
        - Message Templates
      summary: List message templates
      description: List the email and SMS message templates of a form, oldest first.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
        - in: query
          name: template_type
          description: Only return templates of this type.
          required: false
          schema:
            type: string
            enum:
              - email
              - sms
        - in: query
          name: status
          description: Only return templates with this status.
          required: false
          schema:
            type: string
            enum:
              - active
              - inactive
        - $ref: '#/components/parameters/page_number_param'
        - $ref: '#/components/parameters/page_size_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message_templates_response'
        '404':
          $ref: '#/components/responses/response_form_not_found'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
    page_number_param:
      in: query
      name: page_number
      description: >-
        Page of results to retrieve, starting from 1. Defaults to 1 when
        omitted.
      required: false
      schema:
        type: integer
    page_size_param:
      in: query
      name: page_size
      description: Number of results per page. Defaults to 30 when omitted.
      required: false
      schema:
        type: integer
  schemas:
    message_templates_response:
      type: object
      properties:
        message_templates:
          type: array
          items:
            $ref: '#/components/schemas/message_template'
        pagination:
          $ref: '#/components/schemas/pagination'
    message_template:
      type: object
      properties:
        id:
          type: string
          example: 7c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11
        name:
          type: string
          example: Welcome
        template_type:
          type: string
          enum:
            - email
            - sms
          example: email
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        subject:
          type: string
          nullable: true
          description: Subject of an email template. It is null for SMS templates.
          example: Hello
        body:
          type: string
          example: <p>Hi</p>
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    pagination:
      type: object
      properties:
        total_records:
          type: integer
        total_pages:
          type: integer
        current_page_number:
          type: integer
        page_size:
          type: integer
    error_response:
      type: object
      properties:
        error:
          type: string
    date_time_field:
      type: string
      format: date-time
  responses:
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.